MP4Client(1)

NAME

MP4Client - GPAC command-line media player

SYNOPSIS

MP4Client [options] [file]

DESCRIPTION

MP4Client is GPAC command-line media player. It supports all GPAC playback features (2D and 3D support, local playback, RTP streaming, HTTP faststart, many audio and video codecs ...).
Specific URLs shortcuts are available, see gpac -h compositor

OPTIONS

-mem-track
    enable memory tracker

-mem-track-stack
    enable memory tracker with stack dumping

-rti (string)
    log run-time info (FPS, CPU, Mem usage) to given file

-rtix (string)
    same as -rti but driven by GPAC logs

-size (string)
    specify visual size WxH. If not set, scene size or video size is used

-rti-refresh (int)
    set refresh time in ms between two runt-time counters queries (default is 200)

-no-thread
    disable thread usage (except for depending on driver audio)

-no-audio
    disable audio

-pause
    pause at first frame

-play-from (number)
    start playback from given time in seconds in media

-speed (number)
    start playback wit given speed

-loop
    loop playback

-fs
    start in fullscreen mode

-exit
    exit when presentation is over

-run-for
    run for indicated time in seconds and exits

-service (int)
    auto-tune to given service ID in a multiplex

-no-save
    do not save configuration file on exit

-no-addon
    disable automatic loading of media addons declared in source URL

-gui
    start in GUI mode. The GUI is indicated in the configuration file [General]StartupFile

-p (string)
    use indicated profile for the global GPAC config. If not found, config file is created. If a file path is indicated, this will load profile from that file. Otherwise, this will create a directory of the specified name and store new config there. Reserved name 0 means a new profile, not stored to disk. Works using -p=NAME or -p NAME

-stats
    dump filter session stats after playback

-graph
    dump filter session graph after playback

-nk
    disable keyboard interaction

-h,-help
    show this help. Use -hx to show expert help

-hc
    show libgpac core options

-hr
    show runtime options when keybard interaction is enabled

MP4Client runtime commands

Prompt Interaction
The following keys are used for prompt interaction:
q: quit
X: kill
r: reload current presentation
o: connect to the specified URL
O: connect to the specified playlist
N: switch to the next URL in the playlist. Also works with
P: jump to a given number ahead in the playlist
D: disconnect the current presentation
G: select object or service ID
p: play/pause the presentation
s: step one frame ahead
z: seek into presentation by percentage
T: seek into presentation by time
t: print current timing
u: send a command (BIFS or LASeR) to the main scene
e: evaluate JavaScript code in the main scene
Z: dump current output frame to PNG
w: view world info
v: view list of active media objects in scene
i: view Object Descriptor info (by ID)
j: view Object Descriptor info (by number)
b: view media objects timing and buffering info
m: view media objects buffering and memory info
d: dump scene graph
k: turn stress mode on/off
n: change navigation mode
x: reset to last active viewpoint
3: switch OpenGL on or off for 2D scenes
4: force 4/3 Aspect Ratio
5: force 16/9 Aspect Ratio
6: force no Aspect Ratio (always fill screen)
7: force original Aspect Ratio (default)
H: set HTTP max download rate
E: force reload of compositor options
L: change to new log tool/level. CF MP4Client usage for possible values
R: toggle run-time info display in window title bar on/off
F: toggle displaying of FPS in stderr on/off
f: print filter session stats
g: print filter session graph
h: print this message
M: specify video cache memory for 2D objects ! experimental !

Content interaction
It is possible to interact with content (interactive or not) using mouse and keyboard.
The following commands are available:
TODO

EXAMPLES

Basic and advanced examples are available at https://wiki.gpac.io/mp4client

MORE

Authors: GPAC developers, see git repo history (-log)
For bug reports, feature requests, more information and source code, visit http://github.com/gpac/gpac
build: 1.0.1-rev0-g7c36b3027-master
Copyright: (c) 2000-2020 Telecom Paris distributed under LGPL v2.1+ - http://gpac.io

SEE ALSO

gpac(1), MP4Box(1)